zenilib: _D3DPRESENT_PARAMETERS_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
_D3DPRESENT_PARAMETERS_ Struct Reference

`#include <d3d9types.h>`

## Public Attributes

D3DFORMAT | AutoDepthStencilFormat
UINT | BackBufferCount
D3DFORMAT | BackBufferFormat
UINT | BackBufferHeight
UINT | BackBufferWidth
BOOL | EnableAutoDepthStencil
DWORD | Flags
UINT | FullScreen_RefreshRateInHz
HWND | hDeviceWindow
DWORD | MultiSampleQuality
D3DMULTISAMPLE_TYPE | MultiSampleType
UINT | PresentationInterval
D3DSWAPEFFECT | SwapEffect
BOOL | Windowed

## Detailed Description

Definition at line 1502 of file d3d9types.h.

## Member Data Documentation

D3DFORMAT _D3DPRESENT_PARAMETERS_::AutoDepthStencilFormat

Definition at line 1516 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

UINT _D3DPRESENT_PARAMETERS_::BackBufferCount

Definition at line 1507 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

D3DFORMAT _D3DPRESENT_PARAMETERS_::BackBufferFormat

Definition at line 1506 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

UINT _D3DPRESENT_PARAMETERS_::BackBufferHeight

Definition at line 1505 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

UINT _D3DPRESENT_PARAMETERS_::BackBufferWidth

Definition at line 1504 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

BOOL _D3DPRESENT_PARAMETERS_::EnableAutoDepthStencil

Definition at line 1515 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

DWORD _D3DPRESENT_PARAMETERS_::Flags

Definition at line 1517 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

UINT _D3DPRESENT_PARAMETERS_::FullScreen_RefreshRateInHz

Definition at line 1520 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

HWND _D3DPRESENT_PARAMETERS_::hDeviceWindow

Definition at line 1513 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init(), and Zeni::Video_DX9::init_device().

DWORD _D3DPRESENT_PARAMETERS_::MultiSampleQuality

Definition at line 1510 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

D3DMULTISAMPLE_TYPE _D3DPRESENT_PARAMETERS_::MultiSampleType

Definition at line 1509 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init(), and Zeni::Video_DX9::init_device().

UINT _D3DPRESENT_PARAMETERS_::PresentationInterval

Definition at line 1521 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

D3DSWAPEFFECT _D3DPRESENT_PARAMETERS_::SwapEffect

Definition at line 1512 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init().

BOOL _D3DPRESENT_PARAMETERS_::Windowed

Definition at line 1514 of file d3d9types.h.

Referenced by Zeni::Video_DX9::init(), and Zeni::Video_DX9::init_device().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/d3d9types.h